## org.omg.CONV_FRAME
Class CodeSetIdSeqHelper

    java.lang.Object
      |
      +--org.omg.CONV_FRAME.CodeSetIdSeqHelper

public class CodeSetIdSeqHelper
extends java.lang.Object

Helper class for : CodeSetIdSeq

Author:
  OpenORB Compiler

Constructor Summary
`CodeSetIdSeqHelper()`

Method Summary
`static int[]` `extract(Any a)` Extract CodeSetIdSeq from an any
`static java.lang.String` `id()` Return the CodeSetIdSeq IDL ID
`static void` `insert(Any a, int[] t)` Insert CodeSetIdSeq into an any
`static int[]` `read(InputStream istream)` Read CodeSetIdSeq from a marshalled stream
`static TypeCode` `type()` Return the CodeSetIdSeq TypeCode
`static void` `write(OutputStream ostream, int[] value)` Write CodeSetIdSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeSetIdSeqHelper

    public CodeSetIdSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              int[] t)

  Insert CodeSetIdSeq into an any
  Parameters:
    `a` - an any
    `t` - CodeSetIdSeq value

### extract

    public static int[] extract(Any a)

  Extract CodeSetIdSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CodeSetIdSeq value

### type

    public static TypeCode type()

  Return the CodeSetIdSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CodeSetIdSeq IDL ID
  Returns:
    an ID

### read

    public static int[] read(InputStream istream)

  Read CodeSetIdSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CodeSetIdSeq value

### write

    public static void write(OutputStream ostream,
                             int[] value)

  Write CodeSetIdSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CodeSetIdSeq value